# Prueba Junior de FrontEnd con VueJS.

## 👨🏻‍🏫 Instrucciones

1. Crea una rama solo para ti a partir de la actual (`main`).
2. Crea un archivo `CHANGELOG.md` con el texto "Empiezo la prueba" y súbelo al repositorio.
3. Lista en HTML, con la ayuda de JavaScript, todos los `post` del *Endpoint* [https://jsonplaceholder.typicode.com/posts](https://jsonplaceholder.typicode.com/posts) mostrando el título y contenido.
4. Añade un botón, a cada elemento, para poder visualizar sus comentarios (`comments`). Pueden mostrarse a continuación del artículo o en un *modal*. Su Endpoint es [https://jsonplaceholder.typicode.com/comments](https://jsonplaceholder.typicode.com/comments)
5. Lista en HTML, con la ayuda de Vue, todos los usuarios (`users`) del Endpoint [https://jsonplaceholder.typicode.com/users](https://jsonplaceholder.typicode.com/users) con su *nombre*, *email* y *ciudad*.
6. Muestra en un `iframe`de mapa (Google Maps, Openstreetmap, Mapbox...) para enseñar donde esta situado el usuario (address → geo → lat/lng).
7. Crea un formulario para **añadir** nuevos `post`. Debe funcionar en local, ignora el Endpoint.
8. Crea un formulario para **editar** cualquier `post`. Debe funcionar en local, ignora el Endpoint.
9. Crea un botón para **borrar** cualquier `post`. Debe funcionar en local, ignora el Endpoint.
10. Modifica `CHANGELOG.md` con el texto "He terminado la prueba".

## ⏳Tiempo límite

8h

## 📝 Notas

- Después de cada tarea, realiza un **commit** y un **push**.
- El código debe estar **ordenado** y **comentado**.
- Solo puedes usar Vue para renderizar.
- Puedes utilizar CSS simple para mejorar la visibilidad o cualquier Framework que te resulte cómodo (como por ejemplo *Bootstrap* o *Tailwinds*).
- Cualquier elemento extra será bien recibido, cuanto más azúcar más dulce: watchers, computeds, componentes...
